const common = require("./config.common");

module.exports = {
  pages: {
    index: {
      // page 的入口
      entry: "src/main.js",
      // 模板来源
      template: "public/index.html",
      // 在 dist/index.html 的输出
      filename: "index.html",
      // 当使用 title 选项时，
      // template 中的 title 标签需要是 <title><%= htmlWebpackPlugin.options.title %></title>
      title: "add-tag-h5",
      // 在这个页面中包含的块，默认情况下会包含
      // 提取出来的通用 chunk 和 vendor chunk。
      //   chunks: ["chunk-vendors", "chunk-common", "index"],
    },
  },
  css: {
    loaderOptions: common.loaderOptions,
  },
  configureWebpack: {
    resolve: common.resolve,
  },
  devServer: {
    https: true,
    host: "weiling-frontend.cn",
    port: 8881,
    headers: {
      "Access-Control-Allow-Origin": "*",
    },
    proxy: {
      "/uat_api": {
        target: "https://demo.weiling.cn/", //测试环境接口
        changeOrigin: true,
        pathRewrite: {
          "^/uat_api": "/", //代理的路径
        },
      },
      "/stg_api": {
        target: "https://pre.weiling.cn/", //测试环境接口
        changeOrigin: true,
        pathRewrite: {
          "^/stg_api": "/", //代理的路径
        },
      },
      "/prd_api": {
        target: "https://scrm-wx.weiling.cn/", //生产环境接口
        changeOrigin: true,
        pathRewrite: {
          "^/prd_api": "/", //代理的路径
        },
      },
    },
  },
};
