import { GET, POST } from "../utils/Http";
import Store from "@packages/store";
import { proxy_api } from "@packages/utils/env";
export default {
  //获取客户数据
  getClientData(params) {
    return GET(`${proxy_api[Store.node_env]}/api/external_user/detail`, params);
  },
  //获取当前用户信息
  getCurrentUser(params) {
    return GET(`${proxy_api[Store.node_env]}/api/user/get_current_user`, params);
  },
  //个人标签列表
  getUserTagList(params) {
    return GET(`${proxy_api[Store.node_env]}/api/user/tag_group/list`, params);
  },
  //添加个人标签到标签池
  addUserTag(params) {
    return POST(`${proxy_api[Store.node_env]}/api/user/tag/add`, params);
  },
  //删除个人标签
  deleteUserTag(params) {
    return POST(`${proxy_api[Store.node_env]}/api/user/tag/del`, params);
  },
  //添加企业标签到标签池
  addCorpTag(params) {
    return POST(`${proxy_api[Store.node_env]}/api/corp/tag/add`, params);
  },
  //删除企业标签
  deleteCorpTag(params) {
    return POST(`${proxy_api[Store.node_env]}/api/corp/tag/del`, params);
  },
  //标签组-保存标签
  saveTag(params) {
    return POST(`${proxy_api[Store.node_env]}/api/external_user/tag_users`, params);
  },
  //标签详情
  tagDetail(params) {
    return POST(`${proxy_api[Store.node_env]}/api/external_user/tag_ways`, params);
  },
  //企业标签组-列表
  getCorpTagList(params) {
    return GET(`${proxy_api[Store.node_env]}/api/corp/tag_group/list`, params);
  },
  //标签组-新增
  tagGroupAdd(params) {
    return POST(`${proxy_api[Store.node_env]}/api/corp/tag_group/add`, params);
  },
  //标签组-删除
  tagGroupDel(params) {
    return GET(`${proxy_api[Store.node_env]}/api/corp/tag_group/del`, params);
  },
  //标签组-编辑
  tagGroupEdit(params) {
    return POST(`${proxy_api[Store.node_env]}/api/corp/tag_group/edit`, params);
  },
};
