/**
 * @description 全局提示，包括dialog和notify
 */
import { Dialog, Notify } from "vant";

const useMessage = () => {
  const duration = 1000;
  const onNotify = (message) => Notify({ message, type: "success", duration });
  const onWarning = (message) => Notify({ message, type: "warning", duration });
  const onConfirm = (params) => {
    return new Promise((resolve, reject) => {
      Dialog.confirm(params).then(resolve, reject);
    });
  };
  return {
    onNotify,
    onWarning,
    onConfirm,
  };
};
export default useMessage;
